<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('diagnosas', function (Blueprint $table) {
            $table->string('diagnosaId')->primary();
            $table->unsignedBigInteger('userId');
            $table->string('penyakitId');
            $table->float('probabilitas');
            $table->timestamps();

            // Relation
            $table->foreign('penyakitId')
                ->references('penyakitId')
                ->on('penyakits')
                ->cascadeOnDelete()
                ->cascadeOnUpdate();
            $table->foreign('userId')
                ->references('id')
                ->on('users')
                ->cascadeOnDelete()
                ->cascadeOnUpdate();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('diagnosas');
    }
};
